<template>
  <AmsTable :class="$style['toploc-table']">
    <component
      :is="tableGroup.component"
      v-for="(tableGroup, index) in tableGroups"
      :ref="tableGroup.tag"
      :key="`${tableGroup.tag}${index}`"
      :rows="tableGroup.rows"
    />
  </AmsTable>
</template>

<script lang="ts">
import {
  defineComponent,
} from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsScansTable",

  components: {
    AmsTable: () => import("~/components/_elements/Table/Table.vue"),
    AmsTopLocTableHead: () => import("./TopLocTableHead.vue"),
    AmsTopLocDistrictsTableBody: () => import("./TopLocDistrictsTableBody.vue"),
    AmsTopLoc75TableBody: () => import("./TopLoc75TableBody.vue"),
  },

  props: {
    tableGroups: {
      type: Array,
      default: () => [],
    },
  },
});
</script>

<style lang="postcss" module>
.toploc-table {
  min-width: 440px;

  @apply mt-8 max-w-screen-lg;

  thead,
  tbody tr {
    display: table;
    width: 100%;
    table-layout: fixed;
  }
}
</style>
